Test stream load
curl --request POST \
--url https://api.prequel.co/import/streams/{id}/test-load \
--header 'Content-Type: application/json' \
--header 'X-API-KEY: <api-key>' \
--data '
{
"record_ids": [
"<string>"
],
"stream": {
"name": "<string>",
"is_enabled": true,
"mappings": [
{
"field_type": "<string>",
"target_field": "<string>",
"column": {},
"expression": {}
}
]
}
}
'import requests
url = "https://api.prequel.co/import/streams/{id}/test-load"
payload = {
"record_ids": ["<string>"],
"stream": {
"name": "<string>",
"is_enabled": True,
"mappings": [
{
"field_type": "<string>",
"target_field": "<string>",
"column": {},
"expression": {}
}
]
}
}
headers = {
"X-API-KEY": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-KEY': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
record_ids: ['<string>'],
stream: {
name: '<string>',
is_enabled: true,
mappings: [{field_type: '<string>', target_field: '<string>', column: {}, expression: {}}]
}
})
};
fetch('https://api.prequel.co/import/streams/{id}/test-load', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "<string>",
"data": {
"records": [
"<unknown>"
]
},
"message": "<string>"
}{
"status": "<string>",
"message": "<string>",
"data": null
}{
"status": "<string>",
"message": "<string>",
"data": null
}{
"status": "<string>",
"message": "<string>",
"data": null
}{
"status": "<string>",
"message": "<string>",
"data": null
}Import Streams
Test stream load
Test loading a predefined set of records for an import stream. This endpoint runs transforms and invokes the destination in ‘test mode’, returning the outcome without persisting state.
POST
/
import
/
streams
/
{id}
/
test-load
Test stream load
Authorizations
Path Parameters
Import Stream ID.
Body
application/json
⌘I